gsm48_range_512 Struct Reference

`#include <gsm_04_08.h>`

## Data Fields

uint8_t | form_id:7
uint8_t | orig_arfcn_hi:1
uint8_t | orig_arfcn_mid
uint8_t | orig_arfcn_lo:1
uint8_t | w1_hi:7
uint8_t | w1_lo:2
uint8_t | w2_hi:6
uint8_t | w2_lo:2
uint8_t | w3_hi:6
uint8_t | w3_lo:2
uint8_t | w4_hi:6
uint8_t | w4_lo:1
uint8_t | w5:7
uint8_t | w6:7
uint8_t | w7_hi:1
uint8_t | w7_lo:6
uint8_t | w8_hi:2
uint8_t | w8_lo:4
uint8_t | w9_hi:4
uint8_t | w9_lo:2
uint8_t | w10:6
uint8_t | w11:6
uint8_t | w12_hi:2
uint8_t | w12_lo:4
uint8_t | w13_hi:4
uint8_t | w13_lo:2
uint8_t | w14:6
uint8_t | w15:6
uint8_t | w16_hi:2
uint8_t | w16_lo:3
uint8_t | w17:5

## Field Documentation

## form_id

uint8_t gsm48_range_512::form_id

## orig_arfcn_hi

uint8_t gsm48_range_512::orig_arfcn_hi

Referenced by gsm48_decode_freq_list().

## orig_arfcn_lo

uint8_t gsm48_range_512::orig_arfcn_lo

Referenced by gsm48_decode_freq_list().

## orig_arfcn_mid

uint8_t gsm48_range_512::orig_arfcn_mid

Referenced by gsm48_decode_freq_list().

## w10

uint8_t gsm48_range_512::w10

Referenced by gsm48_decode_freq_list().

## w11

uint8_t gsm48_range_512::w11

Referenced by gsm48_decode_freq_list().

## w12_hi

uint8_t gsm48_range_512::w12_hi

Referenced by gsm48_decode_freq_list().

## w12_lo

uint8_t gsm48_range_512::w12_lo

Referenced by gsm48_decode_freq_list().

## w13_hi

uint8_t gsm48_range_512::w13_hi

Referenced by gsm48_decode_freq_list().

## w13_lo

uint8_t gsm48_range_512::w13_lo

Referenced by gsm48_decode_freq_list().

## w14

uint8_t gsm48_range_512::w14

Referenced by gsm48_decode_freq_list().

## w15

uint8_t gsm48_range_512::w15

Referenced by gsm48_decode_freq_list().

## w16_hi

uint8_t gsm48_range_512::w16_hi

Referenced by gsm48_decode_freq_list().

## w16_lo

uint8_t gsm48_range_512::w16_lo

Referenced by gsm48_decode_freq_list().

## w17

uint8_t gsm48_range_512::w17

Referenced by gsm48_decode_freq_list().

## w1_hi

uint8_t gsm48_range_512::w1_hi

Referenced by gsm48_decode_freq_list().

## w1_lo

uint8_t gsm48_range_512::w1_lo

Referenced by gsm48_decode_freq_list().

## w2_hi

uint8_t gsm48_range_512::w2_hi

Referenced by gsm48_decode_freq_list().

## w2_lo

uint8_t gsm48_range_512::w2_lo

Referenced by gsm48_decode_freq_list().

## w3_hi

uint8_t gsm48_range_512::w3_hi

Referenced by gsm48_decode_freq_list().

## w3_lo

uint8_t gsm48_range_512::w3_lo

Referenced by gsm48_decode_freq_list().

## w4_hi

uint8_t gsm48_range_512::w4_hi

Referenced by gsm48_decode_freq_list().

## w4_lo

uint8_t gsm48_range_512::w4_lo

Referenced by gsm48_decode_freq_list().

## w5

uint8_t gsm48_range_512::w5

Referenced by gsm48_decode_freq_list().

## w6

uint8_t gsm48_range_512::w6

Referenced by gsm48_decode_freq_list().

## w7_hi

uint8_t gsm48_range_512::w7_hi

Referenced by gsm48_decode_freq_list().

## w7_lo

uint8_t gsm48_range_512::w7_lo

Referenced by gsm48_decode_freq_list().

## w8_hi

uint8_t gsm48_range_512::w8_hi

Referenced by gsm48_decode_freq_list().

## w8_lo

uint8_t gsm48_range_512::w8_lo

Referenced by gsm48_decode_freq_list().

## w9_hi

uint8_t gsm48_range_512::w9_hi

Referenced by gsm48_decode_freq_list().

## w9_lo

uint8_t gsm48_range_512::w9_lo

Referenced by gsm48_decode_freq_list().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_04_08.h